Subject: bug#49163: 28.0.50; Dynbind add-function and lambdas as file vars

From: Michael Heerdegen <[email-masked]>
Date: Tue, 22 Jun 2021 04:26:09 +0200

Stefan Monnier <[email-masked]> writes:

> Remember, file-local vars set a var to a value, there's no evaluation
> going on, so this sets `my-do-with-test-process-fun` to a list whose
> car is the symbol `lambda`.

Grml...

> It might (when you do the `M-x test`); have you checked *Messages*?

No, but I guess you have ;-)  Ok, that's the maximum it can do.

> -     (save-excursion (eval val)))
> +     (save-excursion (eval val t)))

I would certainly welcome that.  How controversial would doing that be
(and would `(eval val lexical-binding)' be less controversial then)?

Thanks,

Michael.